From: "yuchi chen" <[email-masked]>
Date: Fri, 18 Feb 94 20:06:06 CST

According Mi Mi Sir's message:

Maybe INS is confused with the categories? For EB-3, the priority date 
is July 1, but for the FB-2, it is the date you filed. Try to show them
the CSPA text, and the right category your son belongs. 

it seems that a LAD does not benefit anything from being a CSPA dependent
when applying through FB-2.  When applying EB-3, he/she gets principle's
priority date (as well as the opportunity to apply, otherwise he/she has
to go through H-1).  While applying through FB-2, he/she gets nothing 
special.  As a dependent of PR, he/she can always apply FB-2 whether his/her
principle is a CSPA or not.

Anybody has comments on this?  Anything is appreciated.

yuchi